From d.gaffuri@reply.it Sat Jun 18 08:35:54 2005
From: "Daniele Gaffuri" <d.gaffuri@reply.it>
To: "'Greg KH'" <gregkh@suse.de>
Subject: PCI: Hidden SMBus bridge on Toshiba Tecra M2
Date: Sat, 18 Jun 2005 16:18:42 +0200
Message-ID: <TO1FRES03vZXqimrMh000004695@to1fres03.replynet.prv>

Patch against 2.6.12 to unhide SMBus on Toshiba Centrino laptops using
Intel 82855PM chipset.  Tested on Toshiba Tecra M2.

Signed-off-by: Daniele Gaffuri <d.gaffuri@reply.it>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/pci/quirks.c |    5 +++++
 1 files changed, 5 insertions(+)

--- gregkh-2.6.orig/drivers/pci/quirks.c	2005-07-13 09:45:06.000000000 -0700
+++ gregkh-2.6/drivers/pci/quirks.c	2005-07-26 16:18:12.000000000 -0700
@@ -820,6 +820,11 @@
 			case 0x0001: /* Toshiba Satellite A40 */
 				asus_hides_smbus = 1;
 			}
+		if (dev->device == PCI_DEVICE_ID_INTEL_82855PM_HB)
+			switch(dev->subsystem_device) {
+			case 0x0001: /* Toshiba Tecra M2 */
+				asus_hides_smbus = 1;
+			}
        } else if (unlikely(dev->subsystem_vendor == PCI_VENDOR_ID_SAMSUNG)) {
                if (dev->device ==  PCI_DEVICE_ID_INTEL_82855PM_HB)
                        switch(dev->subsystem_device) {
